import { InjectionToken } from "@angular/core";
import { BehaviorSubject, Observable } from "rxjs";
export declare const isExpiredToken: () => boolean;
export declare type JwtUser<I = any> = I & {
    iat?: number;
    exp?: number;
    /** @param now default true */
    isExpiredToken: () => boolean;
};
export declare const getNow: () => number;
export declare const getExpiredToken: (expired?: number) => () => boolean;
export declare const SERVIW_USER: InjectionToken<Observable<any>>;
export declare const UserSubjec: BehaviorSubject<any>;
export declare const userObservable: Observable<any>;
export declare type ServiwUser = typeof userObservable;
export declare const AuthJWTOptionsDefault: {
    endpointRefresh: string;
    messageError: string;
    fieldName: string;
    fieldRefresh: string;
    percentageToRefresh: number;
};
export declare type AuthJWTOptions = typeof AuthJWTOptionsDefault;
//# sourceMappingURL=jwt-utils.d.ts.map