import { AuthOptions } from "./auth-options";
export declare abstract class AuthServiceInterface<I, U = any> {
    readonly authOptions?: AuthOptions;
    abstract login(data: I): Promise<U>;
    abstract getUser(): I;
    abstract isExpiredAuth(): Promise<boolean>;
    abstract isAutenticate(): boolean;
    abstract authentication(): Promise<boolean>;
    abstract resetUser(): void;
    abstract logout(): void;
}
//# sourceMappingURL=auth-service.interface.d.ts.map