import { FormGroup } from "@angular/forms";
import { Router } from "@angular/router";
import { ServiwFormService } from "../services/serviw-form.service";
import { AuthService } from "./auth.service";
import * as i0 from "@angular/core";
export declare class ServiwLogin<U> {
    readonly authService: AuthService<U>;
    readonly router: Router;
    protected serviwFormService: ServiwFormService;
    /** Hide  of login component */
    hide: boolean;
    /** Form  of login component */
    form?: FormGroup;
    /** loading */
    loading?: boolean;
    constructor(authService: AuthService<U>, router: Router, serviwFormService: ServiwFormService);
    /**
     * Hides icon
     */
    hideIcon(): void;
    /**
     * Logins login component
     */
    login(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServiwLogin<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ServiwLogin<any>, "app-login", never, {}, {}, never, never>;
}
//# sourceMappingURL=serviw-login.component.d.ts.map