import { FormControl, ValidatorFn, AsyncValidatorFn, AbstractControlOptions } from '@angular/forms';
/**
 * Serviw control
 */
export declare class ServiwControl extends FormControl {
    /**
     * Validators  of serviw control
     */
    private validators;
    /**
     * Pristine value of serviw control
     */
    private _pristineValue;
    /**
     * Gets pristine value
     */
    get pristineValue(): any;
    /**
     * Creates an instance of serviw control.
     * @param [formState]
     * @param [validatorOrOpts]
     * @param [asyncValidator]
     */
    constructor(formState?: any, validatorOrOpts?: ValidatorFn | ValidatorFn[] | AbstractControlOptions | null, asyncValidator?: AsyncValidatorFn | AsyncValidatorFn[] | null);
    /**
     * Sets validators
     * @param val
     */
    setValidators(val: ValidatorFn | ValidatorFn[] | null): void;
    /**
     * Adds unq validators
     * @param val
     */
    addUnqValidators(val: ValidatorFn | ValidatorFn[]): void;
    /**
     * Adds validators
     * @param val
     */
    addValidators(val: ValidatorFn | ValidatorFn[] | null): void;
    /**
     * Marks as pristine
     * @param [opts]
     */
    markAsPristine(opts?: {
        onlySelf?: boolean;
    }): void;
    /**
     * Sets value
     * @param value
     * @param options
     */
    setValue(value: any, options: any): void;
}
//# sourceMappingURL=serviw-control.d.ts.map