import { Observable, Subscription } from 'rxjs';
import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ServiwEvents {
    /**
     * Events  of serviw events
     */
    private readonly events;
    /**
     * Subscribes  of serviw events
     */
    private readonly subscribes;
    /**
     * Creates an instance of serviw events.
     */
    constructor();
    /**
     * Events emitter
     * @template I
     * @param name
     * @returns emitter
     */
    eventEmitter<I>(name: string): EventEmitter<I>;
    /**
     * Subscribes serviw events
     * @param name
     * @param call
     * @param [only]
     * @returns subscribe
     */
    subscribe<T>(name: string, call: (data: unknown) => void, only?: boolean): Subscription;
    /**
     * Events serviw events
     * @param name
     * @returns event
     */
    event<T>(name: string): Observable<T>;
    /**
     * Dispatchs serviw events
     * @param name
     * @param value
     * @returns true if dispatch
     */
    dispatch<T>(name: string, value: T): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServiwEvents, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ServiwEvents>;
}
//# sourceMappingURL=serviw-events.service.d.ts.map