import * as i0 from "@angular/core";
export declare class ServiwParams {
    /**
     * Authenticated  of serviw params service
     */
    authenticated?: string;
    /**
     * Data  of serviw params service
     */
    readonly data: any;
    /**
     * Permission  of serviw params service
     */
    readonly permission: {
        [key: string]: boolean;
    };
    /**
     * Development  of serviw params service
     */
    development: boolean;
    /**
     * Loading  of serviw params service
     */
    loading?: boolean;
    /**
     * User details of serviw params service
     */
    private userDetails;
    /**
     * User events of serviw params
     */
    private userEvents;
    /**
     * Creates an instance of serviw params service.
     */
    constructor();
    /**
     * Retorna un elemento de data clonado
     *
     * 1. Obtener objeto de data
     * 2. Realiza proceso de clonación
     *
     * @param clase nombre de la clase u objeto
     */
    get<I extends Object>(clase: string): I;
    /**
     * Validar si existe un parametro en data
     *
     * @param param
     */
    validParam(param: string): boolean;
    /**
     * Validar si existe un permiso
     * @param permission
     */
    validPermission(permission: any): boolean;
    /**
     * Set user details
     */
    setUser<T extends Object>(val: T): void;
    /**
     * Returns serviw params
     * @param [emitEmpty] emit userEvents
     * @returns  T
     */
    getUser<T>(emitEmpty?: boolean): any;
    /**
     * Resets all
     */
    resetAll(): void;
    /**
     * Gets user events
     */
    get changeUser(): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServiwParams, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ServiwParams>;
}
//# sourceMappingURL=serviw-params.service.d.ts.map