import { SvwJson, TypeProperties, SvwProperty } from './interfaces';
/**
 * Svw entity rest
 */
export interface SvwJsonRest<I, S = any> extends SvwJson {
    nameEntity?: string;
    fields?: TypeProperties<I, SvwPropertyRest<S>>;
    linkRest?: string;
    apiFilter?: boolean;
    filters?: {
        [P in Extract<keyof I, string>]?: any;
    };
}
/**
 * Svw property rest
 */
export interface SvwPropertyRest<S = any> extends SvwProperty<S> {
}
//# sourceMappingURL=interfaces-rest.d.ts.map